/**
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE":
 * The Cocoakit author wrote this file. As long as you retain this notice you
 * can do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a beer in return.
 * ----------------------------------------------------------------------------
 */

#import <UIKit/UIKit.h>

@class CKCalloutView;

/**
 * Class extends to UIViewController, to show a callout view.
 *
 * @author <a href="mailto:ivan.palmergarcia@gmail.com">Ivan Palmer</a>
 */
@interface CKViewController : UIViewController {
@private
    
    /**
     * A callout view.
     */
    CKCalloutView *calloutView_;
    
}

/**
 * Creates and return an autoreleased CKViewController constructed from NIB file.
 *
 * @return An autoreleased CKViewController constructed form NIB file.
 */
+ (CKViewController *)ckViewController;

@end
